Models
model ID — важный параметр запроса. Значение model должно быть доступно текущему аккаунту.
Endpoint
Section titled “Endpoint”GET /v1/modelsПример:
curl https://www.routeapi.ai/v1/models \ -H "Authorization: Bearer $ROUTEAPI_KEY"Model ID
Section titled “Model ID”{"model":"gpt-4o"}Model fields
Section titled “Model fields”| Field | Описание |
|---|---|
id | Model ID |
name | Display name |
context_length | Context length |
input_price | Input price |
output_price | Output price |
supports_stream | Streaming support |
supports_tools | Tool support |
supports_vision | Vision support |
supports_json_schema | Structured output support |
Unavailable model
Section titled “Unavailable model”- Check the spelling of the model ID.
- Check unsupported optional parameters.
Рекомендации
Section titled “Рекомендации”- Pin model IDs in production.
- Prepare alternatives for key business.
- Verify model capability before launch.
- Test with the same Token used in production.